name: pyconfigdb
services:
  pyconfigdb:
    container_name: pyconfigdb
    build:
      context: .
    image: gitlab-registry.cern.ch/atlas-itk-pixel-systemtest/itk-demo-sw/pypi-packages/pyconfigdb:latest
    command: ["s6-setuidgid", "itk", "sleep", "infinity"]
    environment:
      - PUID
      - PGID
      - TZ
      - DEMI_ADD_ITK_USER=1
      - S6_VERBOSITY=0
      - S6_KEEP_ENV=1
      - CONFIGDB_KEY=demi/${STACK}/itk-demo-configdb/api/url
      - SR_URL=${SR_URL:-http://${HOST}:5111/api}
    extra_hosts:
      - "host.docker.internal:host-gateway"
      - "${HOST}:host-gateway"
    volumes:
      - ${PWD}:/runkey

networks:
  default:
    name: deminet
    external: true
